<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		javier.aponte
@version 		1.0
@description	Pantalla que muestra el destino de los certificados catastrales
@cu 			CU-TV-PR-002
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros


-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        id="destinoCertificadosCatastralesForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsDestinoCertificadosCatastrales" showDetail="false" globalOnly="false" />

    <p:spacer width="0" height="13" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="destinoCertificadosCatastralesFS">
        <legend>
            <h:outputText value="Destino certificados catastrales"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="2">

            <h:panelGrid columns="2">
                <h:outputLabel value="Con destino a:"	styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:selectOneMenu
                id="destinoCertificadosCatastralesS"
                label="Destino certificados catastrales" 
                value="#{managedBeanParam.destinoCertificadoCatastral}"
                required="true" >
                <f:selectItems value="#{general.proCatDetConDestinoAV}" />
                <p:ajax process="@this" event="change" update="destinoCertificadosCatastralesFS"
                        onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                        listener="#{managedBeanParam.cambioDestinoASel}" />
            </h:selectOneMenu>


            <h:panelGrid columns="2" rendered="#{managedBeanParam.activarDestinoOtro}">
                <h:outputLabel value="Otro: " styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:inputText id="otroDestino" required="true"
                         rendered="#{managedBeanParam.activarDestinoOtro}"
                         value="#{managedBeanParam.nuevoProductoCatastralDetalle.conDestinoA}"
                         label="Otro destino" />

            <h:panelGrid id="panelBotonesDestinoCertificadosCatastrales" columns="3">
                <p:commandButton value="Aceptar"
                                 action="#{managedBeanParam.aceptarDestinoCertificadosCatastrales}"
                                 process="@form"
                                 icon="ui-icon ui-icon-disk"
                                 update="#{managedBeanParam.formularioAActualizarDesdeDestinoCertificadosCatastrales},
                                 msgsDestinoCertificadosCatastrales"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, destinoCertificadosCatastralesWV, false);					
                                 handleCompleteSIC(xhr, status, args, #{managedBeanParam.pantallaAAbrirDesdeDestinoCertificadosCatastrales}, true);"/>

                <p:spacer height="0" width="20"/>	

                <p:commandButton value="Cerrar"
                                 icon="ui-icon ui-icon-close"
                                 oncomplete="destinoCertificadosCatastralesWV.hide()"
                                 process="@this"
                                 update = "destinoCertificadosCatastralesForm"
                                 action="#{managedBeanParam.cerrarDialogo}"/>
            </h:panelGrid>

        </h:panelGrid>

    </p:fieldset>

</h:form>

